获取订单更改的时间间隔
方法适用于模式拉斯.
目前不适用于卖家Market Yandex Go.
如果您使用API-Key令牌,调用该方法时需要具备列表中可用权限之一
- inventory-and-order-processing — 订单处理和商品核算
- all-methods — 全面管理账户
检索更改快递递送日期和时间的可用间隔列表。
| ⚙️ 限额: 10 000 请求 每小时 |
|---|
Request
POST
https://api.partner.market.yandex.ru/v1/campaigns/{campaignId}/orders/update-options
Path parameters
|
Name |
Description |
|
campaignId |
Type: integer 广告系列(商店)的ID — 通过API工作时,代表您在Yandex市场系统中的商店的技术标识符。 它与您的商店唯一链接,但仅用于自动交互。 您可以使用查询找到它 GET v2/campaigns 或者在市场上的卖家办公室找到它。 点击您的帐户图标→ 设置 在左边的菜单中,选择 Api和模块:
⚠️ 不要把它与:
Min value: |
Body
application/json
{
"id": 0,
"orderUpdateOption": "UPDATE_DELIVERY_INTERVAL"
}
|
Name |
Description |
|
id |
Type: integer 的订单ID。 |
|
orderUpdateOption |
Type: string 订单变更类型:
Default: Const: |
Responses
200 OK
可用间隔的列表。
Body
application/json
{
"status": "OK",
"result": {
"deliveryIntervals": {
"availableDeliveryIntervals": [
{}
]
}
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
result
Type: object
deliveryIntervals
Type: object
availableDeliveryIntervals
Type: object[]
deliveryDateInterval
Type: object
fromDate
Type: string<date>
间隔的开始。
日期格式:
YYYY-MM-DD.Example:
2025-01-01toDate
Type: string<date>
间隔的结束。
日期格式:
YYYY-MM-DD.Example:
2025-01-01交货日期的范围。
Example
{ "fromDate": "2025-01-01", "toDate": "2025-01-01" }deliveryTimeInterval
Type: object
fromTime
Type: string
间隔的开始。
格式:
HH:MM.Pattern:
^([0-1][0-9]|2[0-3]):[0-5][0-9]$Example:
exampletoTime
Type: string
间隔的结束。
格式:
HH:MM.Pattern:
^([0-1][0-9]|2[0-3]):[0-5][0-9]$Example:
example的递送时间间隔。
Example
{ "fromTime": "example", "toTime": "example" }日期和时间间隔。
如果没有可用的间隔,则返回一个空数组。
Min items:
0Example
[ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "deliveryTimeInterval": { "fromTime": "example", "toTime": "example" } } ]可用的快递时间间隔.
仅针对更改类型返回
UPDATE_DELIVERY_INTERVAL.Example
{ "availableDeliveryIntervals": [ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "deliveryTimeInterval": { "fromTime": "example", "toTime": "example" } } ] }可用间隔的列表。
Example
{ "deliveryIntervals": { "availableDeliveryIntervals": [ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "deliveryTimeInterval": { "fromTime": "example", "toTime": "example" } } ] } }Example
{ "result": { "deliveryIntervals": { "availableDeliveryIntervals": [ { "deliveryDateInterval": {}, "deliveryTimeInterval": {} } ] } } }
400 Bad Request
请求包含不正确的数据。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
请求中未指定授权数据。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
授权数据不正确或禁止访问资源。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
已超出资源访问限制。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Yandex的内部错误。 市场。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
No longer supported, please use an alternative and newer version.